# only works for nonnegative integers
int2bin <- function( x )
{
	if( x < 0 || x - floor( x ) != 0 )
	{
		cat( "ERROR: Please enter a nonnegative integer.", "\n" )
	}	
	else
	{
		b = c() # binary representation

		if( x == 0 ) b = c( b, 0 )

		while( x > 0 )
		{
			r = x %% 2
			x = floor( x / 2 )
			b = c( b, r )
		}

		# get number of digits
		digits = length( b )
		
		# reverse order of digits
		b = c( b[ digits: 1 ] )

		return( b )
	}
}
